commit:     b0846b58e17d344bb4425d88c682c167f5ad201d
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 21 19:59:53 2021 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sat Aug 21 19:59:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0846b58

dev-python/geventhttpclient: add 1.5.1, fix deps

Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/geventhttpclient/Manifest               |  1 +
 .../geventhttpclient/geventhttpclient-1.5.1.ebuild | 49 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/geventhttpclient/Manifest 
b/dev-python/geventhttpclient/Manifest
index 2a90c31bd71..c6141f8aa30 100644
--- a/dev-python/geventhttpclient/Manifest
+++ b/dev-python/geventhttpclient/Manifest
@@ -1,2 +1,3 @@
 DIST geventhttpclient-1.4.5.tar.gz 58183 BLAKE2B 
48d44048e7040552824ed19ac49c6dda41536ffded56bae0d942c06f111a327a1d571872f35f388853b479ea1aaa6de518f86e7ee72e362360492530ade65131
 SHA512 
9ffe00c79b145dab104e1dce336e072060f315d9bee880daf64b5f1f52e661d810dab9a60286320a7d30cf0e794465f201c039cc31fe7ec325cdb3a8350c9f7d
 DIST geventhttpclient-1.5.0.tar.gz 61135 BLAKE2B 
cd321c6bcae5fde9154e9f0fcff8da8831e1a1b0a1888efc33a6e177a4bf5120cccc938c6e93f778e128ba6c64a7062fa3425f4bcd36c2a46d476f60618e70e2
 SHA512 
47aee707a95fde5639bd7c74bf5690970542fb960982d1256b4f62a82a784df18c22b2ad0d0397a39b62635312848c4ad9339c248678fed7ba0fcb30416a1c2b
+DIST geventhttpclient-1.5.1.tar.gz 58398 BLAKE2B 
9995e14c635b06f729d342b19187d4c4b935f903038950fc05e8d9260a341d3a551750c1cd46798ac2d97603d1dba449d4db3a51a44e49a1720ec23b1526edf8
 SHA512 
46fa5333149b86f5c4b5d06adfe5d49402d0220266c27507da1645f1da8a50562e142e37435a029bb4184c417e8a4123301a7dfc8769ce419e841afebc11247c

diff --git a/dev-python/geventhttpclient/geventhttpclient-1.5.1.ebuild 
b/dev-python/geventhttpclient/geventhttpclient-1.5.1.ebuild
new file mode 100644
index 00000000000..6595b2fc1c1
--- /dev/null
+++ b/dev-python/geventhttpclient/geventhttpclient-1.5.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A high performance, concurrent HTTP client library for Python 
using gevent"
+HOMEPAGE="https://github.com/gwik/geventhttpclient";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+       app-arch/brotli[python,${PYTHON_USEDEP}]
+       dev-python/certifi[${PYTHON_USEDEP}]
+       dev-python/gevent[events,${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # Avoid ModuleNotFoundError for tests we skip later
+       sed -i '/^import dpkt.ssl/d' src/geventhttpclient/tests/test_ssl.py || 
die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # These SNI tests require dpkt which is not in the tree
+               
src/geventhttpclient/tests/test_ssl.py::test_implicit_sni_from_host_in_ssl
+               
src/geventhttpclient/tests/test_ssl.py::test_implicit_sni_from_header_in_ssl
+               src/geventhttpclient/tests/test_ssl.py::test_explicit_sni_in_ssl
+       )
+       # Append to sys.path to avoid ImportError
+       # https://bugs.gentoo.org/667758
+       # Skip tests which require internet access
+       epytest --import-mode=append -m "not online"
+}

Reply via email to